<?php

namespace Drupal\commerce_shipping_colissimo;

use Drupal\commerce_shipping_label\RemoteLabelFile;
use Drupal\commerce_shipping_label\RemoteShipment;

class Label {

  private RemoteLabelFile $labelFile;

  private RemoteShipment $shipment;

  public function __construct(RemoteLabelFile $labelFile, RemoteShipment $shipment) {
    $this->labelFile = $labelFile;
    $this->shipment = $shipment;
  }

  public function getLabelFile(): RemoteLabelFile {
    return $this->labelFile;
  }

  public function getShipment(): RemoteShipment {
    return $this->shipment;
  }

}
